Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IDecryptStream Class Reference

An input stream object that uses OpenSSL to decrypt the input from another source stream on-the-fly. More...

Inheritance diagram for IDecryptStream:

List of all members.

## Public Member Functions
| IDecryptStream ()
| IDecryptStream (istream source, bool owns_source, string password)
IDecryptStream | close ()
| Resets the EncryptStream to empty, but does not actually close the source istream unless owns_source was true.
string | getAlgorithm ()
| Returns the encryption algorithm that was read from the stream.
int | getIterationCount ()
| Returns the value that was was read from the stream.
int | getKeyLength ()
| Returns the encryption key length, in bits, that was read from the stream.
IDecryptStream | open (istream source, bool owns_source, string password)

## Detailed Description

An input stream object that uses OpenSSL to decrypt the input from another source stream on-the-fly.

Attach an IDecryptStream to an existing istream that provides encrypted data, as generated by an OEncryptStream, and read the corresponding unencrypted data from the IDecryptStream.

Seeking is not supported.

## Constructor & Destructor Documentation

IDecryptStream | ( |  | ) |

IDecryptStream | ( | istream | source,
|  | bool | owns_source,
|  | string | password
| ) |  |

## Member Function Documentation

IDecryptStream close | ( |  | ) |

Resets the EncryptStream to empty, but does not actually close the source istream unless owns_source was true.

string getAlgorithm | ( |  | ) |

Returns the encryption algorithm that was read from the stream.

int getIterationCount | ( |  | ) |

Returns the value that was was read from the stream.

int getKeyLength | ( |  | ) |

Returns the encryption key length, in bits, that was read from the stream.

IDecryptStream open | ( | istream | source,
|  | bool | owns_source,
|  | string | password
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties